Subject: Re: cygwin not respecting --without-newlib?
From: Nathanael Nerode <[email-masked]>
To: Christopher Faylor <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 13 Jul 2002 13:30:20 -0400

On Sat, Jul 13, 2002 at 12:09:09AM -0400, Christopher Faylor wrote:
> On Tue, Jul 09, 2002 at 02:15:44PM -0400, Nathanael Nerode wrote:
> >On Tue, Jul 09, 2002 at 02:06:31PM -0400, DJ Delorie wrote:
> >> 
> >> Cygwin *is* newlib.  When you build the cygwin DLL (cygwin1.dll) it
> >> directly incorporates the newlib objects into it.  So, you must always
> >> build newlib when you're building cygwin, and anything built for
> >> cygwin is being built for newlib.
> >
> >OK; I'm not sure this helps me. :-)
> >
> >Suppose you're building a combined tree targeting Cygwin.  What should
> >it mean to specify --without-newlib?  
> >
> >Should it mean "Don't build or use the newlib in the tree: use the
> >preinstalled Cygwin libraries, or the ones I specified with --with-libs
> >and --with-headers"?
> >
> >Should it simply be illegal, and result in an error message?
> 
> If there is a newlib in the tree, cygwin will attempt to use it.  Hence,
> --without-newlib should be illegal for a cygwin target.
> 
> cgf
What if you're not building winsup, but are building gcc (or gdb, or
libstdc++-v3, etc.) for a cygwin target?  Is this even possible?

--Nathanael

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/